Skip to main content
`Ctrl`+`K`

# PetscDataTypeGetSize

Gets the size (in bytes) of a PETSc datatype

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscDataTypeGetSize(PetscDataType ptype, size_t *size)

Not Collective

## Input Parameter

- ptype - the PETSc datatype name (for example `PETSC_DOUBLE`)

## Output Parameter

- size - the size in bytes (for example the size of `PETSC_DOUBLE` is 8)

## See Also

`PetscDataType`, `PetscDataTypeToMPIDataType()`

## Level

advanced

## Location

src/sys/objects/ptype.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages